import Vue from 'vue'
import SubmissionList from '@/components/student/SubmissionList'

describe('SubmissionList.vue', () => {
  it('tests the SubmissionList for students', () => {
    const data = [{
      'type': 'Aufgabe 01',
      'text': 'I dont know the answer.',
      'feedback': 'I am very disappointed.',
      'score': 5,
      'full_score': 14
    },
    {
      'type': 'Aufgabe 01',
      'text': 'A very good solution, indeed',
      'feedback': 'I am still very disappointed.',
      'score': 7,
      'full_score': 10
    }]

    const Constructor = Vue.extend(SubmissionList)

    const comp = new Constructor({
      propsData: {
        // Props are passed in "propsData".
        submissions: data
      }
    }).$mount()

    expect(comp.sumScore)
      .to.equal(12)

    expect(comp.sumFullScore)
      .to.equal(24)

    expect(comp.pointRatio)
      .to.equal('50.00')
  })
})
